import { mergeIconData as e } from "../icon/merge.js";
import { getIconsTree as t } from "./tree.js";
//#region ../../node_modules/@iconify/utils/lib/icon-set/get-icon.js
function n(t, n, r) {
	let i = t.icons, a = t.aliases || Object.create(null), o = {};
	function s(t) {
		o = e(i[t] || a[t], o);
	}
	return s(n), r.forEach(s), e(t, o);
}
function r(e, r) {
	if (e.icons[r]) return n(e, r, []);
	let i = t(e, [r])[r];
	return i ? n(e, r, i) : null;
}
//#endregion
export { r as getIconData };
